Skip to main content
GET
List files

Authorizations

Authorization
string
header
required

This API uses OAuth 2.0 with the authorization code grant flow.

FlowAuthorization Code
Authorization URL
https://app.attio.com/authorize
Token URL
https://app.attio.com/oauth/token
Scopes3
object_configuration:read
View, and optionally write, the configuration and attributes of objects.
record_permission:read
View, and optionally write, records.
file:read
View, and upload files.

Query Parameters

object
string
required

The object slug or ID.

Minimum string length: 1
record_id
string<uuid>
required

The record ID for the specific record whose files you want to list.

storage_provider
enum<string>

Filter results by storage provider.

Available options:
attio,
dropbox,
box,
google-drive,
microsoft-onedrive
parent_folder_id
string<uuid>

Filter by parent folder ID. Each file entry has provided optioanl parent_folder_id that can be used to filter results by folder. When omitted, entries at all nesting levels are returned.

limit
integer
default:50

The maximum number of files to return. Must be between 1 and 200. Defaults to 50.

Required range: 1 <= x <= 200
Example:

50

cursor
string

A pagination cursor used to fetch the next page of files. Responses with more files will include a cursor for you to use here. If not provided, the first page will be returned.

Response

200 - application/json

Success

Success

data
(File · object | Folder · object | Connected File · object | Connected Folder · object)[]
required
pagination
object
required